WordPress 5.9升级建议

WordPress 5.9正式版已于今日正式发布,站长们在升级之前,建议先看看本文,因为该版本升级幅度相当大,可以说部分功能重新定义了WordPress。这种重大更新的版本,不同以往,不建议第一时间在生产环境中立即更新,因为很多插件或主题的兼容性需要检验。

WordPress 5.9的站点编辑器

这个功能如果未来发展得好的话,可能威胁到Elementor这类页面编辑器插件。可以想象WordPress未来的版本将不断完善和补充这方面的功能,且当下已经有很多类似的块编辑器辅助插件问世了,它们都基于Gutenberg,例如:Kadence BlocksQubelyGenerateBlocks等。

所以如果你的主题/插件对 Gutenberg 的支持不够友好或一些功能于站点编辑器冲突,则需要暂缓升级。

完全重构的Gallery Block

Gallery Block 功能在WordPress 5.9中完全重构了,如果插件的一些功能是在原Gallery Block基础上构建的,那么也有可能发生意外的错误。

WordPress 5.9全新的导航块

以前的WordPress导航是在菜单功能中创建/编辑菜单,然后在相关位置调用菜单。而新版本则是自定义帖子的方式创建导航块且保存在数据库中。相当于不同的导航块对应不同的菜单,还包含其排版和样式。

WordPress 5.9升级前应先测试

所以我们建议各位站长,先在测试环境中对网站使用的主题与插件对WordPress 5.9进行全面测试,确保无误后再应用于生产环境。

站长帮社区

建站技术交流社区,欢迎提问与交流,还有大量WordPress主题与插件。

《WordPress 5.9升级建议》有 1 条评论

发表评论